# Created by pyp2rpm-3.3.8
%global pypi_name fvs
%global pypi_version 0.3.4

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        File Versioning System with hash comparison, deduplication and data storage to create unlinked states that can be deleted

License:        MIT
URL:            https://github.com/mirkobrombin/FVS
Source0:        https://files.pythonhosted.org/packages/source/f/%{pypi_name}/FVS-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
File Versioning System with hash comparison and data storage to create unlinked
states that can be deleted[![CodeFactor]( [![PyPI version]( ⚠️ This is
currently a Beta. Why FVS? The main reason for this project is for the purpose
of personal knowledge and understanding of the versioning system. The second
reason is to make a simple and easy-to-implement versioning system for
[Bottles](


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(orjson)
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
File Versioning System with hash comparison and data storage to create unlinked
states that can be deleted[![CodeFactor]( [![PyPI version]( ⚠️ This is
currently a Beta. Why FVS? The main reason for this project is for the purpose
of personal knowledge and understanding of the versioning system. The second
reason is to make a simple and easy-to-implement versioning system for
[Bottles](


%prep
%autosetup -n FVS-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
%py3_build


%install
%py3_install


%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{_bindir}/fvs
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/FVS-%{pypi_version}-py%{python3_version}.egg-info


%changelog
* Mon Aug 15 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.3.4-1
- Initial package